com.fasterxml.jackson.dataformat.javaprop

## Class JavaPropsGenerator

- java.lang.Object
- - com.fasterxml.jackson.core.JsonGenerator
  - - com.fasterxml.jackson.core.base.GeneratorBase
    - - com.fasterxml.jackson.dataformat.javaprop.JavaPropsGenerator

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Closeable, Flushable, AutoCloseable
  Direct Known Subclasses:
    PropertiesBackedGenerator, WriterBackedGenerator

      public abstract class JavaPropsGenerator
      extends com.fasterxml.jackson.core.base.GeneratorBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonGenerator

      `com.fasterxml.jackson.core.JsonGenerator.Feature`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StringBuilder` | `_basePath`
    `protected boolean` | `_headerChecked`
    `protected int` | `_indentLength`
    `protected com.fasterxml.jackson.core.io.IOContext` | `_ioContext`
    `protected JPropWriteContext` | `_jpropContext` Current context, in form we can use it (GeneratorBase has untyped reference; left as null)
    `protected JavaPropsSchema` | `_schema` Definition of columns being written, if available.
    `protected static com.fasterxml.jackson.core.json.JsonWriteContext` | `BOGUS_WRITE_CONTEXT` Since our context object does NOT implement standard write context, need to do something like use a placeholder...
    `protected static int` | `SHORT_WRITE`

    - ### Fields inherited from class com.fasterxml.jackson.core.base.GeneratorBase

      `_cfgNumbersAsStrings, _closed, _features, _objectCodec, _writeContext, DERIVED_FEATURES_MASK, MAX_BIG_DECIMAL_SCALE, SURR1_FIRST, SURR1_LAST, SURR2_FIRST, SURR2_LAST, WRITE_BINARY, WRITE_BOOLEAN, WRITE_NULL, WRITE_NUMBER, WRITE_RAW, WRITE_STRING`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonGenerator

      `_cfgPrettyPrinter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaPropsGenerator(com.fasterxml.jackson.core.io.IOContext ctxt, int stdFeatures, com.fasterxml.jackson.core.ObjectCodec codec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_verifyValueWrite(String typeMsg)`
    `protected abstract void` | `_writeEscapedEntry(char[] text, int offset, int len)`
    `protected abstract void` | `_writeEscapedEntry(String value)`
    `protected abstract void` | `_writeRaw(char c)`
    `protected abstract void` | `_writeRaw(char[] text, int offset, int len)`
    `protected abstract void` | `_writeRaw(String text)`
    `protected abstract void` | `_writeRaw(StringBuilder text)`
    `protected abstract void` | `_writeUnescapedEntry(String value)`
    `boolean` | `canOmitFields()`
    `boolean` | `canUseSchema(com.fasterxml.jackson.core.FormatSchema schema)`
    `boolean` | `canWriteBinaryNatively()`
    `boolean` | `canWriteFormattedNumbers()`
    `boolean` | `canWriteObjectId()`
    `boolean` | `canWriteTypeId()`
    `Object` | `getCurrentValue()`
    `com.fasterxml.jackson.core.JsonStreamContext` | `getOutputContext()`
    `com.fasterxml.jackson.core.FormatSchema` | `getSchema()`
    `void` | `setCurrentValue(Object v)`
    `com.fasterxml.jackson.core.JsonGenerator` | `setPrettyPrinter(com.fasterxml.jackson.core.PrettyPrinter pp)`
    `void` | `setSchema(com.fasterxml.jackson.core.FormatSchema schema)`
    `com.fasterxml.jackson.core.JsonGenerator` | `useDefaultPrettyPrinter()`
    `com.fasterxml.jackson.core.Version` | `version()`
    `void` | `writeBinary(com.fasterxml.jackson.core.Base64Variant b64variant, byte[] data, int offset, int len)`
    `void` | `writeBoolean(boolean state)`
    `void` | `writeEndArray()`
    `void` | `writeEndObject()`
    `void` | `writeFieldName(String name)`
    `void` | `writeNull()`
    `void` | `writeNumber(BigDecimal dec)`
    `void` | `writeNumber(BigInteger v)`
    `void` | `writeNumber(double d)`
    `void` | `writeNumber(float f)`
    `void` | `writeNumber(int i)`
    `void` | `writeNumber(long l)`
    `void` | `writeNumber(String encodedValue)`
    `void` | `writeRaw(char c)`
    `void` | `writeRaw(char[] text, int offset, int len)`
    `void` | `writeRaw(com.fasterxml.jackson.core.SerializableString text)`
    `void` | `writeRaw(String text)`
    `void` | `writeRaw(String text, int offset, int len)`
    `void` | `writeRawUTF8String(byte[] text, int offset, int len)`
    `void` | `writeStartArray()`
    `void` | `writeStartObject()`
    `void` | `writeString(char[] text, int offset, int len)`
    `void` | `writeString(String text)`
    `void` | `writeUTF8String(byte[] text, int offset, int len)`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.GeneratorBase

      `_asString, _checkStdFeatureChanges, _constructDefaultPrettyPrinter, _decodeSurrogate, _releaseBuffers, close, disable, enable, flush, getCodec, getFeatureMask, isClosed, isEnabled, overrideStdFeatures, setCodec, setFeatureMask, writeBinary, writeFieldName, writeObject, writeRawValue, writeRawValue, writeRawValue, writeRawValue, writeStartObject, writeString, writeTree`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonGenerator

      `_reportError, _reportUnsupportedOperation, _throwInternal, _verifyOffsets, _writeSimpleObject, configure, copyCurrentEvent, copyCurrentStructure, getCharacterEscapes, getFormatFeatures, getHighestEscapedChar, getOutputBuffered, getOutputTarget, getPrettyPrinter, overrideFormatFeatures, setCharacterEscapes, setHighestNonEscapedChar, setRootValueSeparator, writeArray, writeArray, writeArray, writeArrayFieldStart, writeBinary, writeBinary, writeBinary, writeBinaryField, writeBooleanField, writeEmbeddedObject, writeFieldId, writeNullField, writeNumber, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeObjectField, writeObjectFieldStart, writeObjectId, writeObjectRef, writeOmittedField, writeStartArray, writeString, writeStringField, writeTypeId, writeTypePrefix, writeTypeSuffix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHORT_WRITE

          protected static final int SHORT_WRITE

      See Also:
        Constant Field Values

    - #### BOGUS_WRITE_CONTEXT

          protected static final com.fasterxml.jackson.core.json.JsonWriteContext BOGUS_WRITE_CONTEXT

      Since our context object does NOT implement standard write context, need to do something like use a placeholder...

    - #### _ioContext

          protected final com.fasterxml.jackson.core.io.IOContext _ioContext

    - #### _schema

          protected JavaPropsSchema _schema

      Definition of columns being written, if available.

    - #### _jpropContext

          protected JPropWriteContext _jpropContext

      Current context, in form we can use it (GeneratorBase has untyped reference; left as null)

    - #### _basePath

          protected final StringBuilder _basePath

    - #### _headerChecked

          protected boolean _headerChecked

    - #### _indentLength

          protected int _indentLength

  - ### Constructor Detail

    - #### JavaPropsGenerator

          public JavaPropsGenerator(com.fasterxml.jackson.core.io.IOContext ctxt,
                            int stdFeatures,
                            com.fasterxml.jackson.core.ObjectCodec codec)

  - ### Method Detail

    - #### getCurrentValue

          public Object getCurrentValue()

      Overrides:
        `getCurrentValue` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### setCurrentValue

          public void setCurrentValue(Object v)

      Overrides:
        `setCurrentValue` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### version

          public com.fasterxml.jackson.core.Version version()

      Specified by:
        `version` in interface `com.fasterxml.jackson.core.Versioned`
      Overrides:
        `version` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### useDefaultPrettyPrinter

          public com.fasterxml.jackson.core.JsonGenerator useDefaultPrettyPrinter()

      Overrides:
        `useDefaultPrettyPrinter` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### setPrettyPrinter

          public com.fasterxml.jackson.core.JsonGenerator setPrettyPrinter(com.fasterxml.jackson.core.PrettyPrinter pp)

      Overrides:
        `setPrettyPrinter` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### setSchema

          public void setSchema(com.fasterxml.jackson.core.FormatSchema schema)

      Overrides:
        `setSchema` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### getSchema

          public com.fasterxml.jackson.core.FormatSchema getSchema()

      Overrides:
        `getSchema` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canUseSchema

          public boolean canUseSchema(com.fasterxml.jackson.core.FormatSchema schema)

      Overrides:
        `canUseSchema` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canWriteObjectId

          public boolean canWriteObjectId()

      Overrides:
        `canWriteObjectId` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canWriteTypeId

          public boolean canWriteTypeId()

      Overrides:
        `canWriteTypeId` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canWriteBinaryNatively

          public boolean canWriteBinaryNatively()

      Overrides:
        `canWriteBinaryNatively` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canOmitFields

          public boolean canOmitFields()

      Overrides:
        `canOmitFields` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### canWriteFormattedNumbers

          public boolean canWriteFormattedNumbers()

      Overrides:
        `canWriteFormattedNumbers` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### getOutputContext

          public com.fasterxml.jackson.core.JsonStreamContext getOutputContext()

      Overrides:
        `getOutputContext` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### writeFieldName

          public void writeFieldName(String name)
                              throws IOException

      Specified by:
        `writeFieldName` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeStartArray

          public void writeStartArray()
                               throws IOException

      Specified by:
        `writeStartArray` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeEndArray

          public void writeEndArray()
                             throws IOException

      Specified by:
        `writeEndArray` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeStartObject

          public void writeStartObject()
                                throws IOException

      Specified by:
        `writeStartObject` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeEndObject

          public void writeEndObject()
                              throws IOException

      Specified by:
        `writeEndObject` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeString

          public void writeString(String text)
                           throws IOException

      Specified by:
        `writeString` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeString

          public void writeString(char[] text,
                         int offset,
                         int len)
                           throws IOException

      Specified by:
        `writeString` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRawUTF8String

          public void writeRawUTF8String(byte[] text,
                                int offset,
                                int len)
                                  throws IOException

      Specified by:
        `writeRawUTF8String` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeUTF8String

          public void writeUTF8String(byte[] text,
                             int offset,
                             int len)
                               throws IOException

      Specified by:
        `writeUTF8String` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRaw

          public void writeRaw(String text)
                        throws IOException

      Specified by:
        `writeRaw` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRaw

          public void writeRaw(String text,
                      int offset,
                      int len)
                        throws IOException

      Specified by:
        `writeRaw` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRaw

          public void writeRaw(char[] text,
                      int offset,
                      int len)
                        throws IOException

      Specified by:
        `writeRaw` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRaw

          public void writeRaw(char c)
                        throws IOException

      Specified by:
        `writeRaw` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeRaw

          public void writeRaw(com.fasterxml.jackson.core.SerializableString text)
                        throws IOException,
                               com.fasterxml.jackson.core.JsonGenerationException

      Overrides:
        `writeRaw` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonGenerationException`

    - #### writeBinary

          public void writeBinary(com.fasterxml.jackson.core.Base64Variant b64variant,
                         byte[] data,
                         int offset,
                         int len)
                           throws IOException

      Specified by:
        `writeBinary` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeBoolean

          public void writeBoolean(boolean state)
                            throws IOException

      Specified by:
        `writeBoolean` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(int i)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(long l)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(BigInteger v)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(double d)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(float f)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(BigDecimal dec)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNumber

          public void writeNumber(String encodedValue)
                           throws IOException

      Specified by:
        `writeNumber` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### writeNull

          public void writeNull()
                         throws IOException

      Specified by:
        `writeNull` in class `com.fasterxml.jackson.core.JsonGenerator`
      Throws:
        `IOException`

    - #### _verifyValueWrite

          protected void _verifyValueWrite(String typeMsg)
                                    throws IOException

      Specified by:
        `_verifyValueWrite` in class `com.fasterxml.jackson.core.base.GeneratorBase`
      Throws:
        `IOException`

    - #### _writeEscapedEntry

          protected abstract void _writeEscapedEntry(String value)
                                              throws IOException

      Throws:
        `IOException`

    - #### _writeEscapedEntry

          protected abstract void _writeEscapedEntry(char[] text,
                                int offset,
                                int len)
                                              throws IOException

      Throws:
        `IOException`

    - #### _writeUnescapedEntry

          protected abstract void _writeUnescapedEntry(String value)
                                                throws IOException

      Throws:
        `IOException`

    - #### _writeRaw

          protected abstract void _writeRaw(char c)
                                     throws IOException

      Throws:
        `IOException`

    - #### _writeRaw

          protected abstract void _writeRaw(String text)
                                     throws IOException

      Throws:
        `IOException`

    - #### _writeRaw

          protected abstract void _writeRaw(StringBuilder text)
                                     throws IOException

      Throws:
        `IOException`

    - #### _writeRaw

          protected abstract void _writeRaw(char[] text,
                       int offset,
                       int len)
                                     throws IOException

      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.